For the complete documentation index, see llms.txt. This page is also available as Markdown.

Edit journey

Edit journey

patch

Edit a journey

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
short_idstringRequired
Body
short_idstringRead-onlyOptional
titlestringOptional
descriptionstring · nullableOptional
is_activebooleanOptionalDefault: false
is_templatebooleanOptionalDefault: false
has_published_journeybooleanRead-onlyOptional
has_unpublished_changesbooleanOptional
date_publishedstring · date-timeRead-onlyOptional
is_configuredstringRead-onlyOptional
num_actionsintegerRead-onlyOptional
Responses
200Success
application/json
short_idstringRead-onlyRequired
titlestringRequired
descriptionstring · nullableOptional
is_activebooleanOptionalDefault: false
is_templatebooleanOptionalDefault: false
has_published_journeybooleanRead-onlyRequired
has_unpublished_changesbooleanOptional
date_publishedstring · date-timeRead-onlyRequired
is_configuredstringRead-onlyRequired
num_actionsintegerRead-onlyRequired
patchv1/journeys/{short_id}/
Python

import requests
response = requests.patch(
    "https://journeys-api.50skills.app/v1/journeys/ekbCvmCd",
    json={
        "title": "To Rivendell",
        "description": "A dangerous journey to Rivendell",
        "isActive": true,
        "isTemplate": false,
    }
)
print(response.json())
                    
{
  "shortId": "ekbCvmCd",
  "title": "To Rivendell",
  "description": "A dangerous journey to Rivendell",
  "isActive": true,
  "isTemplate": false
}

Request samples

import requests
response = requests.patch(
    "https://journeys-api.50skills.app/v1/journeys/{short_id}/",
    json={
        "title": "To Rivendell",
        "description": "A dangerous journey to Rivendell",
        "isActive": true,
        "isTemplate": false,
    }
)
print(response.json())   
fetch("https://journeys-api.50skills.app/v1/journeys/ekbCvmCd", {
  method: "PATCH",
  headers: {
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "title": "To Rivendell",
    "description": "A dangerous journey to Rivendell",
    "isActive": true,
    "isTemplate": false
  })
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));                               

Last updated